cd "P:\Personal Folders\anneyr\stata9\talk\"
log using log\analysis.log,replace
use dta/master.dta,clear

*****GENOTYPE VARIABLES
egen gta = gtype(a1 a2)
egen gtb = gtype(b1 b2)
egen gtc = gtype(c1 c2)
tabulate gta,missing
tabulate gtb,missing
tabulate gtc,missing

*****MINOR ALLELE FREQUENCY
gtab a1 a2
gtab b1 b2
gtab c1 c2

*****HARDY WEINBERG EQUILIBRIUM
genhw a1 a2
genhw b1 b2
genhw c1 c2

*****PAIR_WISE LINKAGE DISEQUILIBRIUM
pwld a1 a2 b1 b2 c1 c2
pwld a1 a2 b1 b2 c1 c2, me(D')
pwld a1 a2 b1 b2 c1 c2, me(R2)

*****CHI2 - ALLELE (CASCON)
gencc a1 a2, group(affect) exact 
gencc b1 b2, group(affect) exact 
gencc c1 c2, group(affect) exact 

*****QUANTITATIVE ANALYSIS
qtlsnp gta gtb gtc, traitvar(qtl) detail means
qtlsnp gta gtb gtc, traitvar(qtl) dominant detail means
qtlsnp gta gtb gtc, traitvar(qtl) recessive detail means

log close

